import request from '@/utils/request'
export function getBranch(query) {
  return request({
    url: '/pipeline/getGitBranch',
    method: 'get',
    params: query
  })
}
export function saveApplication(data) {
  return request({
    url: '/pipeline/save',
    method: 'post',
    data
  })
}
export function getApplications(data) {
  return request({
    url: '/pipeline/find',
    method: 'post',
    data
  })
}
export function deleteApplication(data) {
  return request({
    url: `/pipeline/delete`,
    method: 'post',
    data
  })
}
export function updateApplication(data) {
  return request({
    url: '/pipeline/save',
    method: 'post',
    data
  })
}
